Ingress Rules¶
View Ingress Rule¶
GET /api/networks/ingress_rules/{id}
OAuth authorization required: projects_read
Schema
ingress_rule: Objectid: Integerport: Integerport_nat: Integerproto:String<http,tcp,tls,udp>external_access: Booleanbackend_ssl: Booleantcp_proxy_opt:String<none,send-proxy,send-proxy-v2,send-proxy-v2-ssl,send-proxy-v2-ssl-cn>redirect_ssl: Booleanrestrict_cf: Boolean | If true, only allow CloudFlaretcp_lb: Booleanregion_id: Integercreated_at: Booleanupdated_at: Booleancontainer_service_id: Integerload_balancer_rule_id: Integerinternal_load_balancer_id: Integerload_balanced_rules: Arraylinks: Objectdomains: String (url)
Update Ingress Rule¶
PATCH /api/networks/ingress_rules/{id}
OAuth authorization required: projects_write
Schema
ingress_rule: Objectproto:String<http,tcp,tls,udp>external_access: Booleantcp_proxy_opt:String<none,send-proxy,send-proxy-v2,send-proxy-v2-ssl,send-proxy-v2-ssl-cn>backend_ssl: Stringport: Integerrestrict_cf: Boolean | If true, only allow CloudFlaretcp_lb: Boolean
Toggle NAT¶
This is a helper method to toggle external access to an ingress rule.
You may also edit the ingress rule and specify external_access.
POST /api/networks/ingress_rules/{id}/toggle_nat
OAuth authorization required: projects_write
Create Ingress Rule¶
POST /api/networks/ingress_rules
OAuth authorization required: projects_write
Schema
ingress_rule: Objectcontainer_service_id: Integer | ID of Container Service, not container.proto:String<http,tcp,tls,udp>external_access: Booleantcp_proxy_opt:String<none,send-proxy,send-proxy-v2,send-proxy-v2-ssl,send-proxy-v2-ssl-cn>backend_ssl: Stringport: Integerrestrict_cf: Boolean | If true, only allow CloudFlaretcp_lb: Boolean
Delete Ingress Rule¶
DELETE /api/networks/ingress_rules/{id}
OAuth authorization required: projects_write
List Domains¶
Find domains associated with this ingress rule
GET /api/networks/ingress_rules/{id}/domains
OAuth authorization required: projects_read
Schema
domains:Array<Domain>